# module GC

##
Defined in:

##
Class Method Summary

- .add_finalizer(object : Reference)
- .add_finalizer(object)
- .add_root(object : Reference)
- .collect
- .disable
- .enable
- .free(pointer : Pointer(Void))
- .init
- .is_heap_ptr(pointer : Pointer(Void))
- .malloc(size : Int)
- .malloc_atomic(size : Int)
- .prof_stats
- .realloc(pointer : Pointer(Void), size : Int)
- .register_disappearing_link(pointer : Pointer(Pointer(Void)))
- .set_stackbottom(stack_bottom : Pointer(Void))
- .stats

##
Class Method Detail

def self.add_finalizer(object : Reference) #
def self.add_finalizer(object) #
def self.add_root(object : Reference) #
def self.collect #
def self.disable #
def self.enable #
def self.free(pointer : Pointer(Void)) #
def self.init #
def self.is_heap_ptr(pointer : Pointer(Void)) #
def self.malloc(size : Int) #
def self.malloc_atomic(size : Int) #
def self.prof_stats #
def self.realloc(pointer : Pointer(Void), size : Int) #
def self.register_disappearing_link(pointer : Pointer(Pointer(Void))) #
def self.set_stackbottom(stack_bottom : Pointer(Void)) #
def self.stats #